footer {
    display: flex;
    flex-direction: column;
}

footer > svg, footer .editor-svg {
    display: none;
    transform: translateY(1px);
}

.contactFooter {
    background: linear-gradient(0deg, rgba(255, 255, 255, 0) 0%, rgba(242, 242, 242, 0.7) 80%);
    overflow: hidden;
}

.contactFooter > img{
    position: absolute;
    bottom: 0;
    left: 0;
    width: 60%;
    height: auto;
    transform: translateX(-33%) scaleX(-1);
}

.contactFooter .uniformSpacing{
    display: flex;
    justify-content: flex-end;
    padding: 4em 0;
}

.contactFooter .uniformSpacing .containerText{
    width: 50%;
    display: flex;
    flex-direction: column;
    gap: 2.5em;
    position: relative;
    z-index: 10;
}

@media screen and (max-width: 850px) {
    .contactFooter .uniformSpacing{
        padding: 2em 0;
    }

    .contactFooter .uniformSpacing .containerText{
        width: 100%;
        padding: 1.5em;
        background: #ffffffd1;
        border-radius: var(--mediumRadius);
    }

    .contactFooter > img{
        width: 100%;
    }

}

.footer {
    padding-right: 0;
}

.footer .containerFooter{
    display: flex;
    gap: 3em;
    justify-content: space-between;
    align-items: flex-end;
    padding-left: 0;
}

.footer .containerFooter .footerGauche{
    width: 40%;
}

.footer .containerFooter .footerGauche img{
    width: 100%;
    height: auto;
}

.footer .footerDroite {
    width: 50%;
}

.footer .footerDroite hr {
    width: 100%;
    border: 1px solid var(--basicColor1);
    margin: 1em 0;
}

.footer .footerDroite .footerLink {
    display: flex;
}


.footer .footerDroite h3,
.footer .footerDroite .footerLinkMenu,
.footer .footerDroite .contact {
    width: 50%;
}

.footer .footerDroite .footerLinkMenu{
    display: flex;
    flex-direction: column;
    gap: .25em;
}

.footer .footerDroite .footerLinkMenu .subMenuFooter{
    display: flex;
    flex-direction: column;
    gap: .25em;
    padding-left: 1em;
}


.footer .footerDroite .contact{
    display: flex;
    flex-direction: column;
    gap: .25em;
}

.footer .footerDroite .contact .containerContactElement{
    display: flex;
    flex-direction: column;
    gap: .5em;
    padding-right: 1.5em;
}

.footer .footerDroite .contact .containerContactElement > div {
    display: flex;
    gap: 1em;
    align-items: flex-start;
}

.footer .footerDroite .contact .containerContactElement > div span {
    padding: .5em;
    width: 2em;
    height: 2em;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 100%;
    min-width: 2em;
}

.footer .footerDroite .contact .containerContactElement > div span svg{
    width: 100%;
    height: 100%;
}

.endFooter{
    display: flex;
    flex-direction: column;
}

.endFooter hr{
    width: 100%;
    border: 1px solid var(--basicColor1);
}

.endFooter .top{
    display: flex;
    justify-content: space-around;
}

.endFooter .top{
    display: flex;
    justify-content: space-between;
    padding-top: 1.5em;
    padding-bottom: 1.5em;
    align-items: center;
}

.endFooter .top .left{
    display: flex;
    align-items: center;
    gap: .5em;
    height: fit-content;
}

.endFooter .top .left *{
    height: fit-content;
}

.endFooter .top .left a{
    border-left: 2px solid var(--basicWhite);
    padding-left: .5em;
}

.endFooter .top .socialContainer{
    display: flex;
    gap: 1em;
}

.endFooter .top .socialContainer svg{
    width: 2em;
    height: 2em;
}

.endFooter .top .right svg path{
    fill: var(--basicWhite);
}

.endFooter .bottom{
    display: flex;
    flex-direction: column;
    gap: .5em;
    align-items: center;
    padding-top: 1.5em;
    padding-bottom: 1.5em;
}

.endFooter .bottom .container2{
    display: flex;
    gap: .5em;
    align-items: center;
}

.endFooter .bottom .container2 a{
    display: flex;
}

.endFooter .bottom .container2 a img{
    height: 1.5em;
    width: auto;
}

@media screen and (max-width: 1200px) {
    .footer .containerFooter{
        flex-direction: column;
        align-items: flex-start;
    }

    .footer .containerFooter .footerGauche{
        width: 90%;
    }

    .footer .footerDroite{
        width: 100%;
    }

}


@media screen and (max-width: 650px) {
    .footer .footerDroite .footerLink{
        flex-direction: column;
    }

    .footer .footerDroite .footerLinkMenu,
    .footer .footerDroite .contact{
        width: 100%;
    }

    .endFooter .top{
        flex-direction: column-reverse;
        align-items: flex-start;
        gap: 1em;
    }

    .endFooter .top .left{
        flex-direction: column;
        align-items: flex-start;
    }

    .endFooter .top .left a{
        border: none;
    }

    .endFooter .bottom .container2{
        flex-direction: column;
    }

}
